Bug 1576077 - 4.2 Beta : ovirtmgmt network remains out-of-sync on all hosts, preventing network reconfiguration (with IPv6 only addresses)
Summary: 4.2 Beta : ovirtmgmt network remains out-of-sync on all hosts, preventing net...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Edward Haas
QA Contact: Meni Yakove
URL:
Whiteboard:
Depends On: 1403675
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 18:03 UTC by Anitha Udgiri
Modified: 2019-05-16 13:07 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 10:36:52 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)

Description Anitha Udgiri 2018-05-08 18:03:08 UTC
Description of problem:
Customer is trying to reconfigure network setup of host in maintenance mode.

Despite several "Sync All Networks" and reboot of host and Hosted Engine, the ovirtmgmt network remains out of sync.  

This prevents all Setup Host Networks actions.

Comment 4 Michael Burman 2018-05-14 08:16:36 UTC
As you can see bug 1403675 is not solved yet; using ipv6 on the management network is not yet supported. Could you describe why is the customer interested in this?

Comment 5 Dan Kenigsberg 2018-05-16 07:40:10 UTC
> Bug 1576077 - 4.2 Beta : ovirtmgmt network remains out-of-sync on all hosts, preventing network reconfiguration (with IPv6 only addresses)

Sandro, do you know why we do this in the appliance?

Comment 6 Anitha Udgiri 2018-05-16 16:26:41 UTC
(In reply to Michael Burman from comment #4)
> As you can see bug 1403675 is not solved yet; using ipv6 on the management
> network is not yet supported. Could you describe why is the customer
> interested in this?


Michael and Dan,

Here is what Customer says in their own words :

"We want to use IPv6 because the regular IPv4 space within Shell is running out, both public and private.
Also, we want to use IPv6 for management and security reasons (for example, separation of management and user networks).

Note that we had a workaround to get most of what we needed using RHV v4.1.
However, with RHV 4.2beta this workaround does not seem to work anymore and the ovirtmgmt network remains "out of sync" on all hosts."

Comment 7 Dan Kenigsberg 2018-05-17 07:50:41 UTC
When you hover over the out-of-sync interface, what does Engine report as "out of sync"?

Comment 8 Anitha Udgiri 2018-05-23 15:28:53 UTC
Dan,
   Attached are the screenshots as requested .

Customer mentions that after trying to sync the network nothing seems to happen and the ovirtmgmt network remains unsynced.

Comment 12 Edward Haas 2018-05-24 07:39:46 UTC
Based on the screenshots, the sync problem is with the default route, not IPv6.
Please try to set the IPv4 gateway.

Comment 14 Dan Kenigsberg 2018-05-29 10:36:52 UTC
Thanks, Ron. It would be nice if you file an RFE for choosing only IPv6 router.

Comment 15 Franta Kust 2019-05-16 13:07:43 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.